この文章は Salesforce 機械翻訳システムを使用して翻訳されました。詳細はこちらをご参照ください。
英語に切り替える

グローバルパブリッシャーレイアウトと説明の取得

グローバルパブリッシャーレイアウトとその説明のリストを取得します。グローバルパブリッシャーレイアウトは、グローバルページ (Home ページなど) のアクションをカスタマイズします。Lightning Experience では、これらのレイアウトが [グローバルアクション] メニューに表示されます。

構文

URI
/services/data/vXX.X/sobjects/Global/describe/layouts/
形式
JSON、XML
HTTP のメソッド
GET
認証
Authorization: Bearer token
パラメーター
不要

リクエストの例
1curl https://MyDomainName.my.salesforce.com/services/data/v60.0/sobjects/Global/describe/layouts/ -H "Authorization: Bearer token"
レスポンスボディの例
1{
2  "layouts": [
3    {
4      "buttonLayoutSection": null,
5      "detailLayoutSections": [],
6      "editLayoutSections": [],
7      "feedView": null,
8      "highlightsPanelLayoutSection": null,
9      "id": "00hRO000000Mo6jYAC",
10      "multirowEditLayoutSections": [],
11      "offlineLinks": [],
12      "quickActionList": {
13        "quickActionListItems": [
14          {
15            "accessLevelRequired": null,
16            "colors": [
17              {
18                "color": "65CAE4",
19                "context": "primary",
20                "theme": "theme4"
21              }
22            ],
23            "iconUrl": null,
24            "icons": [
25              {
26                "contentType": "image/svg+xml",
27                "height": 0,
28                "theme": "theme4",
29                "url": "https://rockyroads.test1.my.pc-rnd.salesforce.com/img/icon/t4v35/action/share_post.svg",
30                "width": 0
31              },
32               ...
33            ],
34            "label": "Post",
35            "miniIconUrl": "",
36            "quickActionName": "FeedItem.TextPost",
37            "targetSobjectType": null,
38            "type": "Post",
39            "urls": {}
40          },
41          ...
42        ]
43      },
44      "relatedContent": null,
45      "relatedLists": [],
46      "saveOptions": []
47    }
48  ],
49  "recordTypeMappings": [],
50  "recordTypeSelectorRequired": [
51    false
52  ]
53}